Bug 1075575 - Remove OpenJDK warning during startup
Summary: Remove OpenJDK warning during startup
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Storage Node
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ER04
: JON 3.3.0
Assignee: Stefan Negrea
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 1075574
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-12 12:07 UTC by John Sanda
Modified: 2018-12-05 17:39 UTC (History)
6 users (show)

(edit)
An incorrect WARN level log entry produced by CassandraDaemon.java suggested that OpenJDK was not a supported JVM when used in a Red Hat Supported Configuration. The fix removes the erroneous warning from the C* driver, and directs the C* server to use the correct C* driver version compatible with the release. The incorrect WARN level no longer displays in the logs.
Clone Of: 1075574
(edit)
Last Closed: 2014-12-11 14:03:17 UTC


Attachments (Terms of Use)
storage.log (26.22 KB, text/plain)
2014-10-06 16:03 UTC, Armine Hovsepyan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 881563 None None None Never

Description John Sanda 2014-03-12 12:07:31 UTC
+++ This bug was initially created as a clone of Bug #1075574 +++

Description of problem:
During startup, CassandraDaemon.java logs the following WARN statement if OpenJDK is in use,

"OpenJDK is not recommended. Please upgrade to the newest Oracle Java release."

Not only do test on and support OpenJDK, Red Hat has a team dedicated to supporting it as well.

Packaging changes for Cassandra are handled pom.xml in the cassandra-ccm-core module.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 John Sanda 2014-03-19 14:24:17 UTC
The code that needs to be patched in CassandraDaemon.java. Stefan will (or already has) push the patch to a publicly accessible repo so that it can be consumed as any other 3rd party library. This will minimize the impact on product builds.

Comment 6 Stefan Negrea 2014-09-27 00:57:52 UTC
Removed the warning from C* server 1.2.18. The version in use should be 1.2.18-jboss-1. Also update the C* driver 1.0.8 to depend on the C* server 1.2.18-jboss-1 of the server. 


release/jon3.3.x branch commits:

commit f02bec4dbe8724656d8a2e448a3e7aa8cfc2c2d1
Author: John Sanda <jsanda@redhat.com>
Date:   Fri Sep 26 14:42:21 2014 -0400

    fixing merge conflicts


commit d320cbda13d2ef17c9bf5fef4447c67a02c8cc35
Author: Stefan Negrea <snegrea@redhat.com>
Date:   Wed Sep 24 16:38:14 2014 -0500

    [BZ 1075575] Update C* dependency to a JBoss specific version that has the OpenJDK warning removed.

Comment 7 Simeon Pinder 2014-10-01 21:33:33 UTC
Moving to ON_QA as available for test with build:
https://brewweb.devel.redhat.com/buildinfo?buildID=388959

Comment 8 Armine Hovsepyan 2014-10-06 16:02:35 UTC
no openjdk1.6 related warning during storage startup
log attached
verified in JON 3.3 ER04

Comment 9 Armine Hovsepyan 2014-10-06 16:03:08 UTC
Created attachment 944316 [details]
storage.log


Note You need to log in before you can comment on or make changes to this bug.